package sicura.entities;
// Generated 2-lug-2017 12.21.35 by Hibernate Tools 5.2.3.Final

import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

/**
 * Home object for domain model class PianiEstrazioneDistinteBanca.
 * @see sicura.entities.PianiEstrazioneDistinteBanca
 * @author Hibernate Tools
 */
@Stateless
public class PianiEstrazioneDistinteBancaHome {

	private static final Log log = LogFactory.getLog(PianiEstrazioneDistinteBancaHome.class);

	@PersistenceContext
	private EntityManager entityManager;

	public void persist(PianiEstrazioneDistinteBanca transientInstance) {
		log.debug("persisting PianiEstrazioneDistinteBanca instance");
		try {
			entityManager.persist(transientInstance);
			log.debug("persist successful");
		} catch (RuntimeException re) {
			log.error("persist failed", re);
			throw re;
		}
	}

	public void remove(PianiEstrazioneDistinteBanca persistentInstance) {
		log.debug("removing PianiEstrazioneDistinteBanca instance");
		try {
			entityManager.remove(persistentInstance);
			log.debug("remove successful");
		} catch (RuntimeException re) {
			log.error("remove failed", re);
			throw re;
		}
	}

	public PianiEstrazioneDistinteBanca merge(PianiEstrazioneDistinteBanca detachedInstance) {
		log.debug("merging PianiEstrazioneDistinteBanca instance");
		try {
			PianiEstrazioneDistinteBanca result = entityManager.merge(detachedInstance);
			log.debug("merge successful");
			return result;
		} catch (RuntimeException re) {
			log.error("merge failed", re);
			throw re;
		}
	}

	public PianiEstrazioneDistinteBanca findById(Integer id) {
		log.debug("getting PianiEstrazioneDistinteBanca instance with id: " + id);
		try {
			PianiEstrazioneDistinteBanca instance = entityManager.find(PianiEstrazioneDistinteBanca.class, id);
			log.debug("get successful");
			return instance;
		} catch (RuntimeException re) {
			log.error("get failed", re);
			throw re;
		}
	}
}
